## org.apache.batik.css.engine.sac
Class CSSAttributeCondition

    java.lang.Object
      org.apache.batik.css.engine.sac.AbstractAttributeCondition
          org.apache.batik.css.engine.sac.CSSAttributeCondition

All Implemented Interfaces:
  AttributeCondition, Condition, ExtendedCondition

Direct Known Subclasses:
  CSSBeginHyphenAttributeCondition, CSSClassCondition, CSSOneOfAttributeCondition

public class CSSAttributeCondition
extends AbstractAttributeCondition

This class provides an implementation of the `AttributeCondition` interface.

Field Summary
`protected java.lang.String` `localName` The attribute's local name.
`protected java.lang.String` `namespaceURI` The attribute's namespace URI.
`protected boolean` `specified` Whether this condition applies to specified attributes.

Fields inherited from class org.apache.batik.css.engine.sac.AbstractAttributeCondition
`value`

Fields inherited from interface org.w3c.css.sac.Condition
`SAC_AND_CONDITION, SAC_ATTRIBUTE_CONDITION, SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION, SAC_CLASS_CONDITION, SAC_CONTENT_CONDITION, SAC_ID_CONDITION, SAC_LANG_CONDITION, SAC_NEGATIVE_CONDITION, SAC_ONE_OF_ATTRIBUTE_CONDITION, SAC_ONLY_CHILD_CONDITION, SAC_ONLY_TYPE_CONDITION, SAC_OR_CONDITION, SAC_POSITIONAL_CONDITION, SAC_PSEUDO_CLASS_CONDITION`

Constructor Summary
`CSSAttributeCondition(java.lang.String localName, java.lang.String namespaceURI, boolean specified, java.lang.String value)` Creates a new CSSAttributeCondition object.

Method Summary
`boolean` `equals(java.lang.Object obj)` Indicates whether some other object is "equal to" this one.
`void` `fillAttributeSet(java.util.Set attrSet)` Fills the given set with the attribute names found in this selector.
`short` `getConditionType()` SAC: Implements `Condition.getConditionType()`.
`java.lang.String` `getLocalName()` SAC: Implements `AttributeCondition.getLocalName()`.
`java.lang.String` `getNamespaceURI()` SAC: Implements `AttributeCondition.getNamespaceURI()`.
`boolean` `getSpecified()` SAC: Implements `AttributeCondition.getSpecified()`.
`boolean` `match(org.w3c.dom.Element e, java.lang.String pseudoE)` Tests whether this condition matches the given element.
`java.lang.String` `toString()` Returns a text representation of this object.

Methods inherited from class org.apache.batik.css.engine.sac.AbstractAttributeCondition
`getSpecificity, getValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### localName

    protected java.lang.String localName

  The attribute's local name.

### namespaceURI

    protected java.lang.String namespaceURI

  The attribute's namespace URI.

### specified

    protected boolean specified

  Whether this condition applies to specified attributes.

Constructor Detail

### CSSAttributeCondition

    public CSSAttributeCondition(java.lang.String localName,
                                 java.lang.String namespaceURI,
                                 boolean specified,
                                 java.lang.String value)

  Creates a new CSSAttributeCondition object.

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Indicates whether some other object is "equal to" this one.

  Overrides:
    `equals` in class `AbstractAttributeCondition`
  Parameters:
    `obj` - the reference object with which to compare.

### getConditionType

    public short getConditionType()

  SAC: Implements `Condition.getConditionType()`.

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  SAC: Implements `AttributeCondition.getNamespaceURI()`.

### getLocalName

    public java.lang.String getLocalName()

  SAC: Implements `AttributeCondition.getLocalName()`.

### getSpecified

    public boolean getSpecified()

  SAC: Implements `AttributeCondition.getSpecified()`.

### match

    public boolean match(org.w3c.dom.Element e,
                         java.lang.String pseudoE)

  Tests whether this condition matches the given element.

### fillAttributeSet

    public void fillAttributeSet(java.util.Set attrSet)

  Fills the given set with the attribute names found in this selector.

### toString

    public java.lang.String toString()

  Returns a text representation of this object.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.